Does DIAGBOX V9.1 or 9.3 work with 2006 - 1997 CITROEN

This is the Forum for all your Citroen Technical Questions, Problems or Advice.

Moderator: RichardW

citroenroen
Donor 2024
Posts: 27
Joined: 01 Feb 2023, 03:10

Does DIAGBOX V9.1 or 9.3 work with 2006 - 1997 CITROEN

Post by citroenroen »

Will DIAGBOX V9.1 or 9.3 work with old 1997-2006 Citroen automobile diagnostics?
Kees
Donor 2024
Posts: 115
Joined: 16 Nov 2021, 17:16
x 16

Re: Does DIAGBOX V9.1 or 9.3 work with 2006 - 1997 CITROEN

Post by Kees »

Yes, why not?
User avatar
xantia_v6
Forum Admin Team
Posts: 9134
Joined: 09 Nov 2005, 23:03
x 847

Re: Does DIAGBOX V9.1 or 9.3 work with 2006 - 1997 CITROEN

Post by xantia_v6 »

For cars before about 2000 you should be using Lexia, not Diagbox. For the date range you specify, you don't need Diagbox higher than v7.
cit-rotti
Donor 2024
Posts: 189
Joined: 07 May 2020, 09:19
x 47

Re: Does DIAGBOX V9.1 or 9.3 work with 2006 - 1997 CITROEN

Post by cit-rotti »

Although older PSA vehicles do not require higher software, e.g. 9.xxx, this also works in principle for older boxes and of course also for newer vehicles and sometimes more is less.

The newer software versions then no longer require an outdated 32-bit system on which 16-bit software can be installed, e.g. Windows XP or WIN 7 32-bit, but can be installed on WIN 10 or 11 64-bit both natively or via VM. With older 9.xx software, WIN7 64 or 32 bit also works.

Nevertheless, some things are not right, because there was never DIAGBOX 9.1 or 9.3. The first offline DIAGBOX 9 was 9.23 - followed by the very stable 9.68 Native or as VM. After that there were many offers with higher updates - but always 9xx or 9xxx. The current version is 9.189.

The higher the update, the more and newer vehicles are included in addition to the old cars - with the Diagbox of course Citroen/DS/Peugeot/newer Opel.....

Much more important is a good interface (VCI).

Greetings Wolfgang